﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using IdeaBlade.Core;
using IdeaBlade.EntityModel;

namespace SimpleSteps
{
    public class MainPageViewModel
    {
        public MainPageViewModel()
        {
            Employees = new ObservableCollection<Employee>();
            var mgr = new NorthwindIBEntities();
            var query = mgr.Employees;
            query.ExecuteAsync(op => op.Results.ForEach(Employees.Add));
        }

        public ObservableCollection<Employee> Employees { get; private set; }
    }

}
