﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using IdeaBlade.EntityModel;

namespace MySimpleSteps {
  public class MainPageDesignViewModel  {

    public ObservableCollection<FakeEmployee> Employees { get { return GetEmployees(); } }
    
    private ObservableCollection<FakeEmployee> GetEmployees() {
      // Something about using DevForce pisses off Blend
      //IdeaBlade.Core.IdeaBladeConfig.ConfigFileAssembly = typeof(Employee).Assembly;
      //var mgr = new NorthwindIBEntities(false);
      //var foo = new Employee { EmployeeID = 1, FirstName = "Fred", LastName = "Jones" };

      return new ObservableCollection<FakeEmployee>
                         {
                           new FakeEmployee {EmployeeID = 1, FirstName = "Fred", LastName = "Jones"},
                           new FakeEmployee {EmployeeID = 2, FirstName = "Sam", LastName = "Spade"},
                           new FakeEmployee {EmployeeID = 3, FirstName = "Vera", LastName = "Nice"},
                         };
     
    }
  }

  public class FakeEmployee    {
    public int EmployeeID { get; set; }
    public string FirstName { get; set; }
    public string LastName { get; set; }
    public IList<Order> Orders { get; set; }
    public EntityAspect EntityAspect { get; set; }
  }
}