﻿Imports System
Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Ink
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports Microsoft.Silverlight.Testing
Imports Microsoft.VisualStudio.TestTools.UnitTesting

Imports System.Linq
Imports IdeaBlade.Core
Imports IdeaBlade.EntityModel
Imports IdeaBlade.Linq
Imports IdeaBlade.Validation
Imports SimpleSteps



Namespace SilverlightTest
  <TestClass()> _
  Public Class Tests
    Inherits Microsoft.Silverlight.Testing.SilverlightTest

    Dim _mgr As NorthwindIBEntities = New NorthwindIBEntities()

    <TestMethod()> _
    <Asynchronous()> _
    <Tag("Fetch")> _
    Public Sub RetrieveFrenchCustomers()
      Dim query = _mgr.Customers.Where(Function(c) c.Country = "France")
      _mgr.ExecuteQueryAsync(Of Customer)(query, AddressOf GotCustomers, Nothing)
    End Sub

    <TestMethod()> _
    <Asynchronous()> _
    <Tag("Fetch")> _
    Public Sub RetrieveFrenchCustomersFail()
      Dim query = _mgr.Customers.Where(Function(c) c.Country = "XXXFrance")
      _mgr.ExecuteQueryAsync(Of Customer)(query, AddressOf GotCustomers, Nothing)
    End Sub

    <TestMethod()> _
    <Asynchronous()> _
    <Tag("Fetch")> _
    Public Sub RetrieveUSCustomers()
      Dim query = _mgr.Customers.Where(Function(c) c.Country = "USA")
      _mgr.ExecuteQueryAsync(Of Customer)(query, AddressOf GotCustomers, Nothing)
    End Sub

    Public Sub GotCustomers(ByVal args As EntityQueryOperation(Of Customer))
      Assert.IsTrue(args.Results.Count() > 0, "Expected to retrieve some customers, but found none.")
      MyBase.TestComplete()
    End Sub
  End Class
End Namespace
